# StatelessFileSharingUrlSource class

Implementation for url-data source elements.

Inheritance
  - Object
  - StatelessFileSharingSource
  - StatelessFileSharingUrlSource

## Constructors

StatelessFileSharingUrlSource (String url)
StatelessFileSharingUrlSource.fromXml (XMLNode element)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
url → String
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXml () → XMLNode
  Turn the source into an XML element.
  override

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited